#include "SHAL.h"

int main() {

    SHAL_init();

    PIN(C0).setPinMode(PinMode::OUTPUT_MODE);

    SHAL_UART3.init(UART_Pair_Key::Tx3D8_Rx3D9);
    SHAL_UART3.begin(115200,SHAL_USART_Word_Length::Bits_8);

    SHAL_UART3.sendChar('a');

    while (true) {

        SHAL_UART3.sendString("Hello");

        PIN(C0).toggle();

        SHAL_delay_ms(500);
    }
    return 0;
}